org.licas.ws.wsdl.model

## Class WsdlMessage

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlMessage

-     public class WsdlMessage
      extends java.lang.Object

  This class can be used ot store wsdl message information.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlMessage(java.lang.String thisName)` Create a new instance of WsdlMessage.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMessagePart(WsdlMessage messagePart)` Add a new part entry to the message.
    `java.lang.String` | `getDocumentation()` Get the message documentation.
    `java.util.ArrayList` | `getMessageParts()` Get the message part entries.
    `java.lang.String` | `getName()` Get the message name.
    `java.lang.String` | `getPartElement()` Get the message part element.
    `java.lang.String` | `getType()` Get the message part type.
    `java.lang.String` | `getTypeElement()` This represents a simple or a complex parameter type, as follows: 1.
    `void` | `setDocumentation(java.lang.String thisDocumentation)` Set the message documentation.
    `void` | `setMessageParts(java.util.ArrayList theMessageParts)` Set the message part entries.
    `void` | `setPartElement(java.lang.String thisPartElement)` Set the message part element.
    `void` | `setType(java.lang.String thisType)` Set the message part type.
    `java.lang.String` | `toString()` Get a string-based description of this message part.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlMessage

          public WsdlMessage(java.lang.String thisName)

      Create a new instance of WsdlMessage.
      Parameters:
        `thisName` - the message name.

  - ### Method Detail

    - #### getTypeElement

          public java.lang.String getTypeElement()

      This represents a simple or a complex parameter type, as follows:
      1. If the type is not null return this.
      2. Otherwise if the element part name is not null return this.
      3. Otherwise if the first message part is not null return the name from that.
      Returns:
        the value of type first, or element if null.

    - #### getName

          public java.lang.String getName()

      Get the message name.
      Returns:
        the value of name.

    - #### setType

          public void setType(java.lang.String thisType)

      Set the message part type.
      Parameters:
        `thisType` - the message part type.

    - #### getType

          public java.lang.String getType()

      Get the message part type.
      Returns:
        the value of type.

    - #### setDocumentation

          public void setDocumentation(java.lang.String thisDocumentation)

      Set the message documentation.
      Parameters:
        `thisDocumentation` - the message documentation.

    - #### getDocumentation

          public java.lang.String getDocumentation()

      Get the message documentation.
      Returns:
        the value of documentation.

    - #### setPartElement

          public void setPartElement(java.lang.String thisPartElement)

      Set the message part element.
      Parameters:
        `thisPartElement` - the message part element.

    - #### getPartElement

          public java.lang.String getPartElement()

      Get the message part element.
      Returns:
        the value of partElement.

    - #### setMessageParts

          public void setMessageParts(java.util.ArrayList theMessageParts)

      Set the message part entries.
      Parameters:
        `theMessageParts` - the part entries, of type WsdlMessage.

    - #### addMessagePart

          public void addMessagePart(WsdlMessage messagePart)

      Add a new part entry to the message.
      Parameters:
        `messagePart` - the entry to add.

    - #### getMessageParts

          public java.util.ArrayList getMessageParts()

      Get the message part entries.
      Returns:
        the value of messageParts.

    - #### toString

          public java.lang.String toString()

      Get a string-based description of this message part.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the contents in string format.